Debian Bug report logs - #360561
cmucl: CMUCL does not run under kernel version 2.6.16

version graph

Package: cmucl; Maintainer for cmucl is Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>; Source for cmucl is src:cmucl.

Reported by: Christian Lynbech <lynbech@defun.dk>

Date: Mon, 3 Apr 2006 09:03:04 UTC

Severity: normal

Tags: upstream, wontfix

Merged with 168223, 168225, 397026

Found in versions 3.1.4, cmucl/19c-release-20051115-3

Done: Peter Van Eynde <pvaneynd@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christian Lynbech <christian@defun.dk>, Peter Van Eynde <pvaneynd@debian.org>:
Bug#360561; Package cmucl. Full text and rfc822 format available.

Acknowledgement sent to Christian Lynbech <lynbech@defun.dk>:
New Bug report received and forwarded. Copy sent to Christian Lynbech <christian@defun.dk>, Peter Van Eynde <pvaneynd@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Lynbech <lynbech@defun.dk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cmucl: CMUCL does not run under kernel version 2.6.16
Date: Mon, 03 Apr 2006 10:51:57 +0200
Package: cmucl
Version: 19c-release-20051115-2
Severity: normal

When trying to run CMUCL under the recently released 2.6.16 kernels,
it fails to start with the error:

    chateau:~> lisp
    Couldn't mmap at 0xbe000000, len 1048576; got mapping at 0xa7cc1000 insteadensure_space: Failed to validate 1048576 bytes at 0xbe000000

The problem is semi-serious in the sense that Debian unstable only
really has the 2.6.16 kernels left and thus it kind of is not possible
to run CMUCL together with a supported distributed kernel.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-1-k7
Locale: LANG=C, LC_CTYPE=da_DK (charmap=ISO-8859-1)

Versions of packages cmucl depends on:
ii  common-lisp-controller        5.13       This is a Common Lisp source and c
ii  debconf [debconf-2.0]         1.4.72     Debian configuration management sy

Versions of packages cmucl recommends:
ii  binfmt-support                1.2.7      Support for extra binary formats

-- debconf information:
  cmucl/upgradeproblems:



Information forwarded to debian-bugs-dist@lists.debian.org, Peter Van Eynde <pvaneynd@debian.org>:
Bug#360561; Package cmucl. Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Peter Van Eynde <pvaneynd@debian.org>. Full text and rfc822 format available.

Message #10 received at 360561@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Christian Lynbech <lynbech@defun.dk>
Cc: 360561@bugs.debian.org, ML CL-Debian <cl-debian@common-lisp.net>
Subject: Re: [cl-debian] Bug#360561: cmucl: CMUCL does not run under kernel version 2.6.16
Date: Mon, 03 Apr 2006 13:05:39 +0200
[Message part 1 (text/plain, inline)]
Hello!

On Mon, 03 Apr 2006 10:51:57 +0200, Christian Lynbech wrote:
> Version: 19c-release-20051115-2
>
> When trying to run CMUCL under the recently released 2.6.16 kernels,
> it fails to start with the error:

No problem here:
=====
luca@gismo:~$ dpkg -s cmucl | grep Version
Version: 19c-release-20051115-2

luca@gismo:~$ uname -a
Linux gismo 2.6.16 #1 Mon Mar 20 13:23:12 CET 2006 i686 GNU/Linux

luca@gismo:~$ lisp
CMU Common Lisp CVS 19c 19c-release-patch-1 + minimal debian patches
    (19C), running on gismo
With core: /usr/lib/cmucl/lisp.core
Dumped on: Wed, 2006-03-29 10:36:32+02:00 on gismo
For support see http://www.cons.org/cmucl/support.html Send bug
    reports to the debian BTS.
or to pvaneynd@debian.org
type (help) for help, (quit) to exit, and (demo) to see the demos

Loaded subsystems:
    Python 1.1, target Intel x86
    CLOS based on Gerd's PCL 2004/04/14 03:32:47
* (quit)
=====

> The problem is semi-serious in the sense that Debian unstable only
> really has the 2.6.16 kernels left and thus it kind of is not
> possible to run CMUCL together with a supported distributed kernel.

I compile myself the kernels I use, so the problem could be of the
Debian kernel or completely different.

Just my 0.02€.

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Peter Van Eynde <pvaneynd@debian.org>:
Bug#360561; Package cmucl. Full text and rfc822 format available.

Acknowledgement sent to Peter Van Eynde <pvaneynd@mailworks.org>:
Extra info received and forwarded to list. Copy sent to Peter Van Eynde <pvaneynd@debian.org>. Full text and rfc822 format available.

Message #15 received at 360561@bugs.debian.org (full text, mbox):

From: Peter Van Eynde <pvaneynd@mailworks.org>
To: Christian Lynbech <lynbech@defun.dk>, 360561@bugs.debian.org
Cc: Debian Kernel Team <debian-kernel@lists.debian.org>
Subject: Re: [cl-debian] Bug#360561: cmucl: CMUCL does not run under kernel version 2.6.16
Date: Mon, 3 Apr 2006 15:28:42 +0200
On Monday 03 April 2006 10:51, Christian Lynbech wrote:
> Package: cmucl
> Version: 19c-release-20051115-2
> Severity: normal
> 
> When trying to run CMUCL under the recently released 2.6.16 kernels,
> it fails to start with the error:
> 
>     chateau:~> lisp
>     Couldn't mmap at 0xbe000000, len 1048576; got mapping at 0xa7cc1000 
insteadensure_space: Failed to validate 1048576 bytes at 0xbe000000

In the config file for the kernel (linux-image-2.6.16-1-686 version 2.6.16-4) 
I see:

CONFIG_PAGE_OFFSET=0xB0000000
While I have 
CONFIG_PAGE_OFFSET=0xC0000000

So I'm guessing we're having the same issues as with ubuntu where the kernel 
broke sbcl, cmucl, clisp and wine.

Reassigning to the kernel.

Groetjes, Peter

-- 
signature -at- pvaneynd.mailworks.org 
http://www.livejournal.com/users/pvaneynd/
"God, root, what is difference?" Pitr | "God is more forgiving." Dave Aronson| 



Bug reassigned from package `cmucl' to `linux-image-2.6.16-1-686'. Request was from Peter Van Eynde <pvaneynd@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#360561; Package linux-image-2.6.16-1-686. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 360561@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 360561@bugs.debian.org
Subject: #360561
Date: Mon, 3 Apr 2006 16:12:51 +0200
[Message part 1 (text/plain, inline)]
clone 360561 -1
reassign 360561 cmucl
severity 360561 important
reassign -1 linux-2.6 2.6.16-1
retitle -1 linux-2.6 [i386]: sets non-default vm split
thanks

This are two bugs:
- cmucl assumes that the address space on i386 extends up to 0xc0000000,
  this is not longer true with newer kernel. So cmucl is buggy to
  hardcode adresses which are not always usable.
- The kernel sets another split than the default by accident.

Bastian

-- 
I'm a soldier, not a diplomat.  I can only tell the truth.
		-- Kirk, "Errand of Mercy", stardate 3198.9
[signature.asc (application/pgp-signature, inline)]

Bug 360561 cloned as bug 360598. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `linux-image-2.6.16-1-686' to `cmucl'. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#360561; Package cmucl. Full text and rfc822 format available.

Acknowledgement sent to Peter Van Eynde <pvaneynd@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #33 received at 360561@bugs.debian.org (full text, mbox):

From: Peter Van Eynde <pvaneynd@debian.org>
To: 360561@bugs.debian.org
Subject: Re: cmucl: CMUCL does not run under kernel version 2.6.16
Date: Fri, 5 May 2006 08:58:27 +0200
>This are two bugs:
>- cmucl assumes that the address space on i386 extends up to 0xc0000000,
>  this is not longer true with newer kernel. So cmucl is buggy to
>  hardcode adresses which are not always usable.

Well, not all the world is C and the address-space available to applications 
for me (and for cmucl/sbcl and friends) are an implicit part of the API. 

So there is no way to 'fix' this feature, unless upstream decides to radically 
redesign the implementation.

Groetjes, Peter

-- 
signature -at- pvaneynd.mailworks.org 
http://www.livejournal.com/users/pvaneynd/
"God, root, what is difference?" Pitr | "God is more forgiving." Dave Aronson| 



Severity set to `normal'. Request was from Peter Van Eynde <pvaneynd@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Peter Van Eynde <pvaneynd@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: wontfix Request was from Peter Van Eynde <pvaneynd@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 168223 168225 360561. Request was from Peter Van Eynde <pvaneynd@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Peter Van Eynde <pvaneynd@debian.org>:
Bug#360561; Package cmucl. Full text and rfc822 format available.

Acknowledgement sent to Don Geddis <don@geddis.org>:
Extra info received and forwarded to list. Copy sent to Peter Van Eynde <pvaneynd@debian.org>. Full text and rfc822 format available.

Message #46 received at 360561@bugs.debian.org (full text, mbox):

From: Don Geddis <don@geddis.org>
To: 360561@bugs.debian.org
Subject: Re: [cl-debian] Bug#360561: cmucl: CMUCL does not run under kernel version 2.6.16
Date: Mon, 24 Jul 2006 10:27:48 -0700
Is there no resolution?  Is nobody taking ownership of this conflict?

I'm running Debian as a "testing" installation with the simple packages
        linux-image-2.6-686-smp
        cmucl
So for cmucl I get version 19c-release-20051115-2.  But the linux image for
2.6 recently upgraded in testing to 2.6.16-2-686-smp.  And of course cmucl
now fails to start with
        Couldn't mmap at 0xbe000000, len 1048576; got mapping at 0xa7cfe000
        insteadensure_space: Failed to validate 1048576 bytes at 0xbe000000

So what's the current status?  CMUCL is WONTFIX, and the kernel folks claim
the same thing?  Nobody cares that the application and the kernel are no
longer compatible?

At the very least, surely this means that the Debian CMUCL now needs some
kind of new "Required:" package, to document that it is not (and will not be)
compatible with the default 2.6 kernel.

        -- Don



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#360561; Package cmucl. Full text and rfc822 format available.

Acknowledgement sent to Peter Van Eynde <pvaneynd@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #51 received at 360561@bugs.debian.org (full text, mbox):

From: Peter Van Eynde <pvaneynd@debian.org>
To: Don Geddis <don@geddis.org>, 360561@bugs.debian.org
Subject: Re: Bug#360561: [cl-debian] Bug#360561: cmucl: CMUCL does not run under kernel version 2.6.16
Date: Wed, 26 Jul 2006 14:12:40 +0200
Hello Don,

Alle Monday 24 July 2006 19:27, Don Geddis ha scritto:
> So what's the current status?  CMUCL is WONTFIX, and the kernel folks claim
> the same thing?  Nobody cares that the application and the kernel are no
> longer compatible?

I'm not going to create a separate memory layout for debian just because a 
non-standard kernel is used. The problem is still present the testing kernel 
2.4.17-1-686, I updated to BTS entry of bug #360598 to this effect.
 
> At the very least, surely this means that the Debian CMUCL now needs some
> kind of new "Required:" package, to document that it is not (and will not 
be)
> compatible with the default 2.6 kernel.

I'm open to suggestions on what I should 'require'. ;-)

Groetjes, Peter

-- 
signature -at- pvaneynd.mailworks.org 
http://www.livejournal.com/users/pvaneynd/
"God, root, what is difference?" Pitr | "God is more forgiving." Dave Aronson| 



Information forwarded to debian-bugs-dist@lists.debian.org, Peter Van Eynde <pvaneynd@debian.org>:
Bug#360561; Package cmucl. Full text and rfc822 format available.

Acknowledgement sent to Don Geddis <don@geddis.org>:
Extra info received and forwarded to list. Copy sent to Peter Van Eynde <pvaneynd@debian.org>. Full text and rfc822 format available.

Message #56 received at 360561@bugs.debian.org (full text, mbox):

From: Don Geddis <don@geddis.org>
To: Peter Van Eynde <pvaneynd@debian.org>
Cc: 360561@bugs.debian.org
Subject: Re: Bug#360561: cmucl: CMUCL does not run under kernel version 2.6.16
Date: Wed, 26 Jul 2006 07:41:10 -0700
Peter Van Eynde <pvaneynd@debian.org> wrote on Wed, 26 Jul 2006:
> I'm not going to create a separate memory layout for debian just because a 
> non-standard kernel is used.

I understand the conflict, that it appears the kernel guys did make an
unintentional error.  Nevertheless, I find the phrase "non-standard kernel"
to be suspect.  If a user tries to install the default linux-2.6 kernel in
Debian ("testing"), this is the "standard" kernel that they get.

This bug doesn't appear to bother most applications.  Moreover, the kernel
guys (while admitting an error) seem to claim that this kind of change is
permitted by their API contract.

Finally, Carl Shapiro suggests that CMUCL's current memory layout is an odd
accident, and he has a simple patch to reorder the memory (on all platforms?)
which happens to solve this problem and also make CMUCL compatible with
Debian kernel 2.6.16.

Given all of that, it seems like the right solution is to change CMUCL to be
immune to these kinds of kernel changes.  Although I can appreciate it if you
would prefer to wait until a new 19d release of CMUCL from upstream, rather
than making a Debian-specific patch to the CMUCL source.

> I'm open to suggestions on what I should 'require'. ;-)

Well, hopefull this is only a short-term issue.  I don't really know the
Debian package syntax, but can't you can something like "requires
linux-image-2.4, or linux-image-2.6 with version <= 2.6.15"?

        -- Don
_______________________________________________________________________________
Don Geddis                  http://don.geddis.org/               don@geddis.org
I don't use drugs; my dreams are frightening enough.  -- M. C. Escher



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#360561; Package cmucl. Full text and rfc822 format available.

Acknowledgement sent to Peter Van Eynde <pvaneynd@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #61 received at 360561@bugs.debian.org (full text, mbox):

From: Peter Van Eynde <pvaneynd@debian.org>
To: Don Geddis <don@geddis.org>, 360561@bugs.debian.org
Subject: Re: [cl-debian] Bug#360561: cmucl: CMUCL does not run under kernel version 2.6.16
Date: Wed, 26 Jul 2006 17:48:17 +0200
Alle Wednesday 26 July 2006 16:41, Don Geddis ha scritto:
> I understand the conflict, that it appears the kernel guys did make an
> unintentional error.  Nevertheless, I find the phrase "non-standard kernel"
> to be suspect.  If a user tries to install the default linux-2.6 kernel in
> Debian ("testing"), this is the "standard" kernel that they get.

I was unclear. I meant 'unmodified kernel from kernel.org with default 
options'. We had a similar problem a few years back when redhat decided to go 
for a 2/2 G split in memory. The cmucl maintainers ignored bugreports about 
this and redhat reversed the patch in the end.

> This bug doesn't appear to bother most applications.  Moreover, the kernel
> guys (while admitting an error) seem to claim that this kind of change is
> permitted by their API contract.

Could you point me to that contract so I can check other assumptions made. As 
someone who got bitten numerous times by glibc's changing semantics I would 
appreciate such a document and to my knowledge it does not exist.

> Finally, Carl Shapiro suggests that CMUCL's current memory layout is an odd
> accident, and he has a simple patch to reorder the memory (on all 
platforms?)
> which happens to solve this problem and also make CMUCL compatible with
> Debian kernel 2.6.16.

I can see what the solution would be but there are technical and cultural 
problems with it, basicly the debian package would be 'different' from a 
normal cmucl and this is often enough reason to distrust bug reports from 
debian users.

> > I'm open to suggestions on what I should 'require'. ;-)
> 
> Well, hopefull this is only a short-term issue.  I don't really know the
> Debian package syntax, but can't you can something like "requires
> linux-image-2.4, or linux-image-2.6 with version <= 2.6.15"?

This would only require a specific version of the kernel to be installed, 
there is no general way to say 'this package only runs with kernels < 2.6.15 
and > 2.7.17-5 (I hope).

Groetjes, Peter

-- 
signature -at- pvaneynd.mailworks.org 
http://www.livejournal.com/users/pvaneynd/
"God, root, what is difference?" Pitr | "God is more forgiving." Dave Aronson| 



Information forwarded to debian-bugs-dist@lists.debian.org, Peter Van Eynde <pvaneynd@debian.org>:
Bug#360561; Package cmucl. Full text and rfc822 format available.

Acknowledgement sent to rm@seid-online.de:
Extra info received and forwarded to list. Copy sent to Peter Van Eynde <pvaneynd@debian.org>. Full text and rfc822 format available.

Message #66 received at 360561@bugs.debian.org (full text, mbox):

From: Ralf Mattes <rm@seid-online.de>
To: Peter Van Eynde <pvaneynd@debian.org>, 360561@bugs.debian.org
Cc: Don Geddis <don@geddis.org>
Subject: Re: Bug#360561: [cl-debian] Bug#360561: cmucl: CMUCL does not run under kernel version 2.6.16
Date: Wed, 26 Jul 2006 20:48:06 +0200
On Wed, 2006-07-26 at 17:48 +0200, Peter Van Eynde wrote:

> [... schnip ...]
> I can see what the solution would be but there are technical and cultural 
> problems with it, basicly the debian package would be 'different' from a 
> normal cmucl and this is often enough reason to distrust bug reports from 
> debian users.
> 

This is a _very_ good point! 

> > > I'm open to suggestions on what I should 'require'. ;-)
> > 
> > Well, hopefull this is only a short-term issue.  I don't really know the
> > Debian package syntax, but can't you can something like "requires
> > linux-image-2.4, or linux-image-2.6 with version <= 2.6.15"?
> 
> This would only require a specific version of the kernel to be installed, 
> there is no general way to say 'this package only runs with kernels < 2.6.15 
> and > 2.7.17-5 (I hope).

Well, isn't this a job for the 'Conflicts' section. Of course this would
only protect the user from installing a not-working kernel image but
those who compile their own kernels should know what they do.

 Cheers, Ralf Mattes
> Groetjes, Peter
> 



Information forwarded to debian-bugs-dist@lists.debian.org, Peter Van Eynde <pvaneynd@debian.org>:
Bug#360561; Package cmucl. Full text and rfc822 format available.

Acknowledgement sent to Don Geddis <don@geddis.org>:
Extra info received and forwarded to list. Copy sent to Peter Van Eynde <pvaneynd@debian.org>. Full text and rfc822 format available.

Message #71 received at 360561@bugs.debian.org (full text, mbox):

From: Don Geddis <don@geddis.org>
To: rm@seid-online.de
Cc: Peter Van Eynde <pvaneynd@debian.org>, 360561@bugs.debian.org
Subject: Re: Bug#360561: [cl-debian] Bug#360561: cmucl: CMUCL does not run under kernel version 2.6.16
Date: Tue, 15 Aug 2006 08:31:52 -0700
> On Wed, 2006-07-26 at 17:48 +0200, Peter Van Eynde wrote:
>> I can see what the solution would be but there are technical and cultural 
>> problems with it, basicly the debian package would be 'different' from a 
>> normal cmucl and this is often enough reason to distrust bug reports from 
>> debian users.

Ralf Mattes <rm@seid-online.de> wrote on Wed, 26 Jul 2006:
> This is a _very_ good point!

In this case, upstream has fixed this bug (for all platforms).  In a
(near-term) future release [19d?], the memory layout is more logical, and
cmucl should no longer have this conflict with the debian kernel.

In addition, since the change affects all platforms, there doesn't need to be
any fear that the debian package is "different" from a "normal" cmucl.

        -- Don
_______________________________________________________________________________
Don Geddis                  http://don.geddis.org/               don@geddis.org
I made dinner.  We didn't have any Hamburger, so it's just Helper.
	-- "Gabe", Penny Arcade 



Information forwarded to debian-bugs-dist@lists.debian.org, Peter Van Eynde <pvaneynd@debian.org>:
Bug#360561; Package cmucl. Full text and rfc822 format available.

Acknowledgement sent to Kevin L <kevinl@tamu.edu>:
Extra info received and forwarded to list. Copy sent to Peter Van Eynde <pvaneynd@debian.org>. Full text and rfc822 format available.

Message #76 received at 360561@bugs.debian.org (full text, mbox):

From: Kevin L <kevinl@tamu.edu>
To: 360561@bugs.debian.org
Subject: So what is a user supposed to do?
Date: Mon, 21 Aug 2006 16:08:26 -0500
I just "upgraded" from Sarge to testing and CMUCL is now dead.

If this is fixed upstream, when is the fix going into testing?

Is an end-user just supposed to compile their own kernel in the meantime?



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#360561; Package cmucl. Full text and rfc822 format available.

Acknowledgement sent to Peter Van Eynde <pvaneynd@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #81 received at 360561@bugs.debian.org (full text, mbox):

From: Peter Van Eynde <pvaneynd@debian.org>
To: Kevin L <kevinl@tamu.edu>, 360561@bugs.debian.org
Subject: Re: Bug#360561: So what is a user supposed to do?
Date: Mon, 18 Sep 2006 10:44:53 +0200
Alle Monday 21 August 2006 23:08, Kevin L ha scritto:
> I just "upgraded" from Sarge to testing and CMUCL is now dead.
> 
> If this is fixed upstream, when is the fix going into testing?
> 
> Is an end-user just supposed to compile their own kernel in the meantime?

I fear so. That or use the ubuntu kernels :-(.

Groetjes, Peter

-- 
signature -at- pvaneynd.mailworks.org 
http://www.livejournal.com/users/pvaneynd/
"God, root, what is difference?" Pitr | "God is more forgiving." Dave Aronson| 



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#360561; Package cmucl. Full text and rfc822 format available.

Acknowledgement sent to Peter Van Eynde <pvaneynd@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #86 received at 360561@bugs.debian.org (full text, mbox):

From: Peter Van Eynde <pvaneynd@debian.org>
To: 360561@bugs.debian.org, 360598@bugs.debian.org
Subject: cmucl works with linux-image-2.6.18-1-686
Date: Mon, 9 Oct 2006 10:07:30 +0200
Hello

I recently tested a standard debian kernel and with linux-image-2.6.18-1-686 I 
can again run sbcl and cmucl. So there is a debian kernel that can be used, 
however it is not the kernel that will be used for etch. :-(

2.6.17-2-686 still has the broken 
CONFIG_PAGE_OFFSET=0xB0000000

I will add a request to bug 360598 to also fix this problem and added 
a 'blocking' note to that bug.

Could I ask the kernel team to fix this bug in the 2.6.17 train?

Groetjes, Peter

-- 
signature -at- pvaneynd.mailworks.org 
http://www.livejournal.com/users/pvaneynd/
"God, root, what is difference?" Pitr | "God is more forgiving." Dave Aronson| 



Blocking bugs of 360561 added: 360598 and 367403 Request was from Peter Van Eynde <pvaneynd@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Peter Van Eynde <pvaneynd@debian.org>:
Bug#360561; Package cmucl. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Peter Van Eynde <pvaneynd@debian.org>. Full text and rfc822 format available.

Message #93 received at 360561@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: Peter Van Eynde <pvaneynd@debian.org>, 360598@bugs.debian.org
Cc: 360561@bugs.debian.org
Subject: Re: Bug#360598: cmucl works with linux-image-2.6.18-1-686
Date: Mon, 9 Oct 2006 10:38:48 -0600
On Mon, Oct 09, 2006 at 10:07:30AM +0200, Peter Van Eynde wrote:
> Hello
> 
> I recently tested a standard debian kernel and with linux-image-2.6.18-1-686 I 
> can again run sbcl and cmucl. So there is a debian kernel that can be used, 
> however it is not the kernel that will be used for etch. :-(

The kernel team's goal is to ship etch with 2.6.18.

-- 
dann frazier




Merged 168223 168225 360561 397026. Request was from Peter Van Eynde <pvaneynd@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message #96 received at 360561-done@bugs.debian.org (full text, mbox):

From: Peter Van Eynde <pvaneynd@debian.org>
To: 227196-done@bugs.debian.org, 330468-done@bugs.debian.org, 168223-done@bugs.debian.org, 168225-done@bugs.debian.org, 360561-done@bugs.debian.org, 397026-done@bugs.debian.org
Subject: closing out-of-date bugreports
Date: Thu, 28 Jun 2007 21:26:28 +0200
These bugreports are not longer valid as they refer to older or
non-standard kernels or  modules which we no longer distribute.

Groetjes, Peter

-- 
signature -at- pvaneynd.mailworks.org
http://www.livejournal.com/users/pvaneynd/
"God, root, what is difference?" Pitr | "God is more forgiving." Dave
Aronson|



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 27 Jul 2007 07:26:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:06:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.